CraftBukkit 1.4.5-R1.0 is now available!

Discussion in 'Bukkit News' started by EvilSeph, Dec 19, 2012.

Thread Status:
Not open for further replies.
  1. Offline

    EvilSeph Retired Staff

    A new CraftBukkit Recommended Build (1.4.5-R1.0) that provides Minecraft 1.4.5 compatibility is now available. This Recommended Build has been promoted so that servers have something reliable to use until they are ready to update to the upcoming Minecraft 1.4.6.

    Please note: Minecraft 1.4.5 clients will not be able to connect to Minecraft 1.4.6 servers.

    Will plugins break with this build?
    Provided the developers of the plugins you are using are keeping up with the development of Bukkit, all your plugins should work fine, with the exception of plugins that use Minecraft or CraftBukkit code.

    Important Note: this Recommended Build contains a new safeguard to protect servers against unchecked and thus potentially damaging plugins. See the announcement here for more information:
    http://forums.bukkit.org/threads/sa...cked-and-potentially-damaging-plugins.116749/

    Known Issues:
    • Monsters, villagers, etc. using portals (added in Minecraft 1.4) has been temporarily disabled.

    For more detailed information on what is contained in this update, please see the changelog here.

    Download CraftBukkit 1.4.5-R1.0 here
     
    number1_Master, Sigong, TnT and 4 others like this.
  2. Offline

    ManBeastPig

    yeah i had lots of stuff fail also. but 1.4.6 is out now so we're all shafted.
     
  3. Offline

    RoryBecker

    As of last night I have:
    - Working 1.4.5 vanilla exe for Minecraft
    - Working 1.4.5 vanilla server exe for Minecraft
    - Working 1.4.5R1.0 Bukkit jar for Minecraft
    - Working versions of Essentials, WorldGuard, WorldEdit (and a couple of other) plugins.

    I'm pretty sure the release of Minecraft 1.4.6 doesn't change this.

    I'm not sure what I'm missing.

    Also, looking at the history, the leap from 1.3.2 -> 1.4.5 is far bigger than the leap from 1.4.5 -> 1.4.6. I seriously doubt it will take bukkit anywhere near as long to create a working RB for 1.4.6
     
  4. Offline

    Tallon

    It is kind of ridiculous that an RB was released the day before MC updated!

    I honestly hope there is not the same amount of time until the next one!

    I thought Bukkit were now working along side Mojang to release Bukkit along side other releases?
     
  5. Offline

    Nacktschicht

    We had detected a fatal problem:
    A lot of plugins aren't compatibel with this build caused by the new place where the files from net.minecraft.server are stored. (net.minecraft.server.1_4_5)
    Plugins which won't work correctly are for example WorldEdit, WorldGuard, CraftBook...
     
  6. Offline

    Pangamma

    • Unacceptable language. Please read the ToS.
    Fuck everything. It would be easier for me to just fork bukkit than to change all my plugins over to this new system on every new release.
     
  7. Offline

    Talkyn

    At the time of my post, the forum threads on WG indicated there were bugs associated with the current dev build of such. Scanning the console errors showed me a pile of them related to PEX, at least for me, which led me to believe the problem could be more than simply WG. Since I was having zero issues with 1.4.5R0.2 and I had consumed my hour of free time before work I decided to simply stick with the beta build. I'm not sure why this makes me lazy.

    I realize there are a pile of ungratefuls spewing garbage and QQing about stuff instead of taking some initiative, but there are plenty of those targets so why single out me :p .

    Like this fine supporter of the community:
    :rolleyes: He even changed his sig.

    Thanks again Bukkit team. Looking forward to your continued support.
     
  8. Offline

    djl0st12


    Meh, I come off as..I don't know , douchebaggery ? sometimes. I didn't mean too. I work as plugin tech support for a hosting company and get..jaded sometimes with many owners refusal to even attempt to suss things out for themselves. I didnt mean to sound like I was talking down to you. I wasn't. I have no room too. I am not a developer. I am not exceptionally smart. I just get frustrated with the types that you mentioned that don't understand the amount of work that developers have to do in a project like bukkit. Pardon my irritability, and I commend you actually, that you spent the time to suss things out for yourself. :( Grumpy dj is grumpy. I shouldn't take that out on others though
     
  9. Offline

    Talkyn

    No problem dj. I work in a service-heavy specialty retail industry. Sometimes my eyes want to cross at people's willful inability to help themselves. No offense was taken and no apology was expected.
     
  10. Offline

    desht

    Seeing all the bellyaching here about 1.4.6 coming out, does no one here use (or even know about) MCNostalgia and/or MultiMC? It's really easy to have more than one version of the client installed on your system.
     
  11. Offline

    tremor

    I would love to see a quick fix to incorporate some sort of backward compatibility for the 1.4.6 client to a 1.4.5 server (on the more stable in my opinion 1.4.5-R0.2 as well). With the majority of players being kids and the holiday season coming, this flurry of updates kind of shafts server owners.. especially those who also try to be responsible by using only RB's - we will sit with our servers empty seeing console spam of "outdated server" because despite all the forewarning and notices to our players.. 99% of them are pretty dumb and always hit update. Not raging or QQ'ing here, I just want a simple solution that doesn't involve me illegally handing out 1.4.5 minecraft.jar's to all my players who accidentally updated.

    Most of us know how to do this, those that are HERE on this forum. Most of our players however, do not.
     
  12. Offline

    coldandtired

    http://assets.minecraft.net/1_4_5/minecraft.jar
    That's the illegal part taken care of anyway! :)

    Change 1_4_5 to different values to get different jars.
     
  13. Offline

    tremor

    Oh thanks - I'll post that link to my players: Now if I could fix that outdated client message on the server to say, go here and rollback! (So with that link, does that mean the stance of distributing the jar being against the rules is gone, or, its ok to get old jars - as long as you get them from the official site?)
     
  14. Offline

    Jazed

    They must have allowed it otherwise they would've encrypted their system and make the link less obvious.
     
  15. Offline

    Niknea

    Does PEX work with this build?
     
  16. Offline

    Felixx61

    Some people are reporting errors, but PEX 1.19.4 has worked without hiccup for me.
     
  17. Offline

    bugeye999

    Haha, this sucks, you guys get a new RB out the day before a minecraft update. I believe in you guys, do what you can. This just gives me an excuse to put off getting my server up for another few days
     
  18. Offline

    jujulogey

    Yay everythings broken!!! I'm so happy .

    Get 1.4.6 out. This build broke my whole server. Hope you're happy.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 30, 2016
  19. Offline

    korikisulda

    I question the need for the 'safeguard' at this point, as all it does is break plugins, although of course, it could become necessary in the future, when the massive changes happen to minecraft.
     
  20. Offline

    troed

    While technically correct, two BREAKING pulls got merged into Bukkit just two weeks ago. The definition of "keeping up" might differ between developers.

    Suggestion: Reflect upon it in the release notes. The boiler plate text above is what you usually have when there are no BREAKING pulls merged as well.

    /defxor - who just uploaded a new version of Courier due to those changes
     
  21. Offline

    RiotShielder

    Sorry that these guys giving you free software aren't working as fast as you'd like.
     
    Felixx61 likes this.
  22. Offline

    parviain

    Hear this.
     
  23. Offline

    YoFuzzy3

    I use multiple Minecraft clients on windows with a 2 line .bat script. ;)
     
  24. Offline

    Maltheus

    The problem here was that the priority should always be to just get bukkit working after a mojang update, and hold off on the new features until subsequent RBs. The other problem was that they should have promoted the last beta (perhaps with a few critical patches), rather than make a whole bunch of massive changes, since the last beta and then calling it an RB. Changing the way every block reports its direction is a pretty huge thing to sneak in there between releases. Nothing should functionally change between the final beta and the RB or else you've undermined the whole point of having betas (or pre-releases or whatever you want to release between dev and RB).

    Still waiting for Grief Protection to catch one last spam exception before I upgrade, but I'm not really all that confident in any of the plugins now. I had a lot of issues when I tried. So much has changed in the API, that I might just stick with the beta until these changes flesh themselves out. Was going to work to push up server traffic again during the holidays, but with 1.4.6, I guess there's no point, until bukkit catches up again.
     
  25. Offline

    YoFuzzy3

  26. Offline

    TnT Retired Staff

    That list is quite outdated at this time. Many plugins that could move to using API have already moved onto it since ItemMeta has been released. Granted, there will still be some left over, but I can't imagine it will be as many as that list originally had.
     
  27. Offline

    YoFuzzy3

    They still broke in 1.4.5-R1.0 though, but now they can move to the new API so it doesn't happen in future versions, right?
     
  28. Offline

    chaseoes Retired Staff

    It's not like they didn't know it was going to update.. they did it on purpose so people have something stable to use while waiting for a stable 1.4.6 build.
    :eek:
     
  29. Offline

    YoFuzzy3

    I'm running over 70 plugins as well, making sure every one that I know is affected is updated before I touch 1.4.5-R1.0/1.4.6.
     
  30. Offline

    RiotShielder

    Most of my plugins are smaller ones, my list is usually between 60-80
     
  31. Offline

    justin97530

     
Thread Status:
Not open for further replies.

Share This Page